Bug 1259778 - [Docs] [Director] defroute: no should be defroute: false in sample config
[Docs] [Director] defroute: no should be defroute: false in sample config
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity low
: y1
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 10:06 EDT by JF Bibeau
Modified: 2015-10-12 00:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 00:18:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JF Bibeau 2015-09-03 10:06:02 EDT
Description of problem:
Section: E.2. CONFIGURING ROUTES AND DEFAULT ROUTES

Located here: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Configuring_Routes_and_Default_Routes.html

Sample config:
# No default route on the Provisioning network
- type: interface
  name: nic1
  use_dhcp: true
  defroute: no
# Instead use this DHCP infrastructure VLAN as the default route
- type: interface
  name: nic2
  use_dhcp: true

Should be:
# No default route on the Provisioning network
- type: interface
  name: nic1
  use_dhcp: true
  defroute: false
# Instead use this DHCP infrastructure VLAN as the default route
- type: interface
  name: nic2
  use_dhcp: true


(Note defroute: no  -> defroute: false)


As per Network Interface Parameters [1], defroute is a boolean.

[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/appe-Network_Interface_Parameters.html
Comment 3 Andrew Dahms 2015-09-07 20:53:28 EDT
Assigning to Dan for review.
Comment 4 Dan Macpherson 2015-09-18 00:28:25 EDT
Hi JF,

Am currently implementing a fix for this. Should be available within the next few days.

Thanks for the report.

- Dan
Comment 6 Dan Macpherson 2015-09-24 22:55:30 EDT
Hi JF,

This is now live on the portal:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Configuring_Routes_and_Default_Routes.html

Did you have any further changes required? If not, I'll close this bug.
Comment 7 JF Bibeau 2015-09-25 09:04:23 EDT
Perfect, that should do it! Thanks for the fix.

Note You need to log in before you can comment on or make changes to this bug.